#include <iostream>
#include <math.h>
#include <climits>
#include <algorithm>

using namespace std;
int main()
{
    std::ios_base::sync_with_stdio(false);
    std::cin.tie(NULL);
    long long n,k,x;
    long long zbps;


    cin>>n>>k>>x;
    int  podz[k];
    long long vn[n];
    for(int i=0; i<n; i++)
        cin>>vn[i];
    for(int i=0; i<n-k+1;i++)//za svaki podskup
    {
        for(int q=0;q<k;q++) //resetovanje O(k*n)
                podz[q]=0;
        zbps=0;
        
        for(int j=i;j<k+i;j++)
            zbps+=vn[j];
        
        for(int j=i+1;j<k+i;j++) //za sve sem poslednjeg
            for(int q=0;q<j-i;q++)
                podz[q]+=vn[j];

        sort(podz, podz+k);

        for(int j=0;j<x-1;j++)
            zbps+=podz[k-1-j];
        
        cout<<zbps<<' ';
    }
    return 0;
}